IncompatibleObjectVersion_Remote: Version 1.11 of InstanceList is not supported

asked 2014-11-19 21:50:20 -0600

dsrini gravatar image

Hi, I am terribly in need of help. Please suggest.

Using devstack I am trying to add another compute node and I get this error in n-cpu.log. There are other openstack queries for the same issues and they indicate to have fresh install, but no luck for me. Both compute/controller are running on ubuntu14.04 and devstack version is not much different. (I have an existing compute node on ubuntu 13.04 connected to the same controller, where installation is successful)

My controller local.conf [[local|localrc]]

Credentials

DATABASE_PASSWORD=stack ADMIN_PASSWORD=stack SERVICE_PASSWORD=stack SERVICE_TOKEN=stack RABBIT_PASSWORD=stack

Services

ENABLED_SERVICES=rabbit,mysql,key ENABLED_SERVICES+=,n-api,n-crt,n-obj,n-cond,n-sch,n-novnc,n-cauth,n-xvnc,sysstat ENABLED_SERVICES+=,neutron,q-svc,q-agt,q-dhcp,q-meta ENABLED_SERVICES+=,g-api,g-reg ENABLED_SERVICES+=,cinder,c-api,c-vol,c-sch,c-bak ENABLED_SERVICES+=,horizon

MULTI_HOST

MULTI_HOST=1

Services IP

HOST_IP=controller

Q_PLUGIN=bigswitch_floodlight

BS_FL_CONTROLLERS_PORT=127.0.0.1:8080 Q_OVS_USE_VETH=true

Images

Use this image when creating test instances

IMAGE_URLS+=",http://cdn.download.cirros-cloud.net/0.3.2/cirros-0.3.2-x86_64-disk.img"

Enable Logging

LOGFILE=/opt/stack/logs/stack.sh.log VERBOSE=True LOG_COLOR=True SCREEN_LOGDIR=/opt/stack/logs

Compute node:

[[local|localrc]]

Credentials

DATABASE_PASSWORD=stack ADMIN_PASSWORD=stack SERVICE_PASSWORD=stack SERVICE_TOKEN=stack RABBIT_PASSWORD=stack

Services

ENABLED_SERVICES=rabbit #ENABLED_SERVICES+=,n-cpu,n-novnc,n-cauth ENABLED_SERVICES+=,n-cpu ENABLED_SERVICES+=,neutron,q-agt

MULTI_HOST

MULTI_HOST=1

Services IP

HOST_IP=10.10.75.14 CONTROLLER_IP=controller SERVICE_HOST=$CONTROLLER_IP MYSQL_HOST=$CONTROLLER_IP RABBIT_HOST=$CONTROLLER_IP GLANCE_HOSTPORT=$CONTROLLER_IP:9292 Q_HOST=$CONTROLLER_IP

TRACEBACK

Traceback (most recent call last):^M File "/usr/local/lib/python2.7/dist-packages/eventlet/hubs/poll.py", line 115, in wait^M listener.cb(fileno)^M File "/usr/local/lib/python2.7/dist-packages/eventlet/greenthread.py", line 212, in main^M result = function(args, *kwargs)^M File "/opt/stack/nova/nova/openstack/common/service.py", line 492, in run_service^M service.start()^M File "/opt/stack/nova/nova/service.py", line 164, in start^M self.manager.init_host()^M File "/opt/stack/nova/nova/compute/manager.py", line 1125, in init_host^M context, self.host, expected_attrs=['info_cache'])^M File "/opt/stack/nova/nova/objects/base.py", line 154, in wrapper^M args, kwargs)^M File "/opt/stack/nova/nova/conductor/rpcapi.py", line 359, in object_class_action^M objver=objver, args=args, kwargs=kwargs)^M File "/usr/local/lib/python2.7/dist-packages/oslo/messaging/rpc/client.py", line 152, in call^M retry=self.retry)^M File "/usr/local/lib/python2.7/dist-packages/oslo/messaging/transport.py", line 90, in _send^M timeout=timeout, retry=retry)^M File "/usr/local/lib/python2.7/dist-packages/oslo/messaging/_drivers/amqpdriver.py", line 408, in send^M retry=retry)^M File "/usr/local/lib/python2.7/dist-packages/oslo/messaging/_drivers/amqpdriver.py", line 399, in _send^M raise result^M IncompatibleObjectVersion_Remote: Version 1.11 of InstanceList is not supported^M Traceback (most recent call last):^M ^M File "/usr/local/lib/python2.7/dist-packages/oslo/messaging/rpc/dispatcher.py", line 134, in _dispatch_and_reply^M incoming.message))^M ^M File "/usr/local/lib/python2.7/dist-packages/oslo ... (more)

edit retag flag offensive close merge delete